Update cyrus-sasl to 2.1.25.

Take maintainership.

New in 2.1.25
-------------

* Make sure that a failed authorization doesn't preclude
  further server-side SASL authentication attempts from working.
* Fixed a crash caused by aborted SASL authentication
  and initiation of another one using the same SASL context.
* (Windows) Fixed the random number generator to actually produce random
  output on each run.
* Be protective against calling sasl_server_step once authentication
  has failed (multiple SASL plugins)
* Fixed several bugs in the mech_avail callback handling
  in the server side code.
* Added support for channel bindings
* Added support for ordering SASL mechanisms by strength (on the client side),
  or using the "client_mech_list" option.
* server_idle needs to obey server's SASL mechanism list from the server
  context.
* Better server plugin API mismatch reporting
* Build:
 - Updated config to the latest GNU snapshot
 - Fixed SASL's libtool MacOS/X 64-bit file magic
* New SASL plugin: SCRAM
* New SASL plugin: GS2
* DIGEST-MD5 plugin:
 -  Allow DIGEST-MD5 plugin to be used for client-side and
    server-side HTTP Digest, including running over non-persistent
    connections (RFC 2617)
 - Use the same username for reauthentication cache lookup and update
 - Minimize the number of auxprop lookups in the server side DIGEST-MD5
   plugin for the most common case when authentication and authorization
   identities are the same.
 - Updated digestmd5_server_mech_step2() to be more defensive against
   empty client input.
 - Fixed some memory leaks on failed plugin initialization.
   Prevent potential race condition when freeding plugin state.
   Set the freed reauthentication cache mutex to NULL, to make errors
   due to mutex access after free more obvious.
 - Test against broken UTF-8 based hashes if calculation using special
   ISO-8859-1 code fails.
 - Fixed an interop problem with some LDAP clients ignoring server
   advertised realm and providing their own.
* GSSAPI plugin:
 - Fix to build GSSAPI with Heimdal
 - Properly set serveroutlen to 0 in one place.
   Don't send empty challenge once server context establishment is done,
   as this is in violation of the RFC 2222 and its successor.
 - Don't send maxbuf, if no security layer can be established.
   Added additional checks for buffer lengths.
* LDAPDB plugin:
 - build fixes

New in 2.1.24
-------------

* Order advertised server-side SASL mechanisms per the specified 'mech_list'
  option or by relative "strength"
* Make sure that sasl_set_alloc() has no effect once sasl_client_init()
  or sasl_server_init() is called
* Fixed sasl_set_mutex() to disallow changing mutex management functions
  once sasl_server_init()/sasl_client_init() is called (bug # 3083)
* Removed unused mutexes in lib/client.c and lib/server.c (bug # 3141)
* Added direct support for hashed password to auxprop API
* Don't treat a constraint violation as an error to store an auxprop property
* Extended libsasl (auxprop) to support user deletion
* Extended SASL auxprop_lookup to return error code
* Updated sasl_user_exists() so that it can handle passwordless accounts (e.g. disabled)
* (Windows) Free handles of shared libraries on Windows that were loaded
  but are not SASL plugins (bug # 2089)
* Prevent freeing of common state on a subsequent call to _sasl_common_init.
  Make sure that the last global callback always wins.
* Implemented sasl_client_done()/sasl_server_done()
* Added automatic hostname canonicalization inside libsasl
* Made sasl_config_init() public
* Strip trailing spaces from server config file option values (bug # 3139, bug # 3041)
* Fixed potential buffer overflow in saslautd_verify_password().
* Fixed segfault in dlclose() on HPUX
* Various bugfixes for 64bit platforms
* Fixed bug # 2895 (passing LF to sasl_decode64) in sample/sample-client.c,
  sample/sample-server.c, utils/smtptest.c
* pluginviewer: Code cleanup, improved human readable messages
* Build:
 - (Windows) Updated makefiles to build with VC 8.0 (VC++ 2005)
 - (Windows) Added Windows64 build
 - Updated to use .plugin extension on MacOS
 - Changed 64bit HP-UX build to use .so for shared libraries
* saslauthd:
 - Fixed bug counting double-quotes in username/password in
   auth_rimap.c. Also fixed bug zeroing password.
 - auth_krb.c: improved diagnostic in the k5support_verify_tgt() function.
 - auth_sasldb.c: pid_file_lock is created with a mask of 644 instead of 0644
 - auth_shadow.c: Define _XOPEN_SOURCE before including unistd.h,
   so that crypt is correctly defined
 - auth_getpwent.c: Fixed Solaris build
* SASLDB plugin:
 - Fixed spurious 'user not found' errors caused by an attempt
   to delete a non-existent property
 - Added direct support for hashed password to auxprop API
 - Sleepycat driver:  Return SASL_NOUSER instead of SASL_FAIL when the database
   file doesn't exist
 - Ignore properties starting with '*' in the auxprop store function
* SQL plugin:
 - Added support for SQLITE3
 - Uninitialized variables can cause crash when the searched user is not found
 - Added direct support for hashed password
 - Ignore properties starting with '*' in the auxprop store function
* LDAPDB plugin:
 - Added code to extend LDAPDB into a canon_user plugin in addition
   to its existing auxprop plugin functionality
* PLAIN plugin:
 - Advertise SASL_SEC_PASS_CREDENTIALS feature
* LOGIN plugin:
 - Advertise SASL_SEC_PASS_CREDENTIALS feature
* DIGEST-MD5 plugin:
 - Fixed a memory leak in the DIGEST-MD5 security layer
 - Fixed memory leaks in client-side reauth and other places
 - More detailed error reporting.
 - Fixed parsing of challenges/responses with extra commas.
 - Allow for multiple qop options from the server and require
   a single qop option from the client.
* GSSAPI plugin:
 - Check that params->serverFQDN is not NULL before using strlen on it
 - Make auxprop lookup calls optional
* EXTERNAL plugin:
 - Make auxprop lookup calls optional
* NTLM plugin:
 - allow a comma separated list of servernames in 'ntlm_server' option
 - Fixed crash in calculating NTv2 reponse
* OTP plugin:
 - Don't use a stack variable for an OTP prompt (bug # 2822)
 - Downgrade the failure to store OTP secret to debug level
* KERBEROS_V4 plugin:
 - Make auxprop lookup calls optional
This commit is contained in:
obache 2011-09-17 11:32:02 +00:00
parent d6dec07112
commit 419d710a21
36 changed files with 112 additions and 865 deletions

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.13 2010/01/17 12:02:39 wiz Exp $
# $NetBSD: Makefile,v 1.14 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-digestmd5/}
PKGREVISION= 1
COMMENT= Cyrus SASL DIGEST-MD5 authentication plugin
SASL_PLUGIN= yes

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.15 2010/01/17 12:02:39 wiz Exp $
# $NetBSD: Makefile,v 1.16 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-gssapi/}
PKGREVISION= 1
COMMENT= Cyrus SASL GSSAPI authentication plugin
SASL_PLUGIN= yes

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.5 2010/01/17 12:02:39 wiz Exp $
# $NetBSD: Makefile,v 1.6 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-ldapdb/}
PKGREVISION= 1
COMMENT= Cyrus SASL LDAPDB authentication plugin
SASL_PLUGIN= yes

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.21 2010/01/17 12:02:39 wiz Exp $
# $NetBSD: Makefile,v 1.22 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-ntlm/}
PKGREVISION= 1
COMMENT= Cyrus SASL NTLM authentication plugin
SASL_PLUGIN= yes

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.13 2010/01/17 12:02:40 wiz Exp $
# $NetBSD: Makefile,v 1.14 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-otp/}
PKGREVISION= 1
COMMENT= Cyrus SASL OTP authentication plugin
SASL_PLUGIN= yes

8
security/cy2-scram/DESCR Normal file
View file

@ -0,0 +1,8 @@
SASL is a method for adding authentication support to connection-based
protocols. To use SASL, a protocol includes a command for identifying and
authenticating a user to a server and for optionally negotiating protection
of subsequent protocol interactions. If its use is negotiated, a security
layer is inserted between the protocol and the connection.
This is the Cyrus SASL plugin that implements the SCRAM authentication
mechanism.

View file

@ -0,0 +1,21 @@
# $NetBSD: Makefile,v 1.1 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-scram/}
COMMENT= Cyrus SASL SCRAM authentication plugin
SASL_PLUGIN= yes
PKG_DESTDIR_SUPPORT= user-destdir
.include "../../security/cyrus-sasl/Makefile.common"
CONFIGURE_ARGS+= --enable-scram
BUILD_DIRS= ${WRKSRC}/plugins
BUILD_TARGET= libscram.la
do-install:
${INSTALL_DATA_DIR} ${DESTDIR}${PLUGINDIR}
cd ${WRKSRC}/plugins && ${SHLIBTOOL} --mode=install \
${INSTALL_PROGRAM} libscram.la ${DESTDIR}${PLUGINDIR}
.include "../../mk/bsd.pkg.mk"

2
security/cy2-scram/PLIST Normal file
View file

@ -0,0 +1,2 @@
@comment $NetBSD: PLIST,v 1.1 2011/09/17 11:32:03 obache Exp $
lib/sasl2/libscram.la

View file

@ -1,7 +1,6 @@
# $NetBSD: Makefile,v 1.16 2010/09/30 10:49:14 obache Exp $
# $NetBSD: Makefile,v 1.17 2011/09/17 11:32:03 obache Exp $
PKGNAME= ${DISTNAME:S/cyrus-sasl/cy2-sql/}
PKGREVISION= 1
COMMENT= Cyrus SASL SQL authentication plugin
SASL_PLUGIN= yes
@ -10,7 +9,7 @@ PKG_DESTDIR_SUPPORT= user-destdir
.include "../../security/cyrus-sasl/Makefile.common"
PKG_OPTIONS_VAR= PKG_OPTIONS.cy2-sql
PKG_SUPPORTED_OPTIONS= mysql pgsql sqlite
PKG_SUPPORTED_OPTIONS= mysql pgsql sqlite sqlite3
PKG_SUGGESTED_OPTIONS= mysql
.include "../../mk/bsd.options.mk"
@ -36,6 +35,13 @@ CONFIGURE_ARGS+= --with-sqlite=${BUILDLINK_PREFIX.sqlite}
CONFIGURE_ARGS+= --without-sqlite
.endif
.if !empty(PKG_OPTIONS:Msqlite3)
. include "../../databases/sqlite3/buildlink3.mk"
CONFIGURE_ARGS+= --with-sqlite3=${BUILDLINK_PREFIX.sqlite3}
.else
CONFIGURE_ARGS+= --without-sqlite3
.endif
CONFIGURE_ARGS+= --enable-sql
BUILD_DIRS= ${WRKSRC}/plugins

View file

@ -1,5 +1,5 @@
===========================================================================
$NetBSD: MESSAGE,v 1.2 2006/04/18 17:41:30 jlam Exp $
$NetBSD: MESSAGE,v 1.3 2011/09/17 11:32:02 obache Exp $
${PKGNAME} by default does *not* install any authentication plugin
modules. Until the necessary authentication plugin modules are
@ -15,7 +15,7 @@ The search path for plugin modules can be customized by setting the
SASL_PATH variable to a colon-delimted list of directories in the shell
environment.
To allow plaintext authentication without using the sasldb mechanism, the
To allow plaintext authentication without using the auxprop mechanism, the
package security/cyrus-saslauthd should be installed.
===========================================================================

View file

@ -1,4 +1,4 @@
# $NetBSD: Makefile,v 1.56 2008/08/12 10:16:54 obache Exp $
# $NetBSD: Makefile,v 1.57 2011/09/17 11:32:02 obache Exp $
SVR4_PKGNAME= csasl
COMMENT= Simple Authentication and Security Layer
@ -15,20 +15,28 @@ SASL_DBTYPE?= berkeley
BUILD_DEFS+= SASL_DBTYPE
.if ${SASL_DBTYPE} == "berkeley"
USE_DB185= no
BDB_ACCEPTED= db3 db4
. include "../../mk/bdb.buildlink3.mk"
CONFIGURE_ENV+= BDB_TYPE=${BDB_TYPE:Q}
CONFIGURE_ENV+= with_bdb=${BDB_TYPE}
.endif
CONFIGURE_ARGS+= --with-dblib=${SASL_DBTYPE:Q}
CONFIGURE_ARGS+= --with-dbpath=${PKG_SYSCONFDIR}/sasldb
BUILD_DEFS+= VARBASE
# Support using Cyrus saslauthd (security/cyrus-saslauthd) for plaintext
# password authentication.
#
SASLSOCKETDIR?= ${VARBASE}/run/saslauthd
CONFIGURE_ARGS+= --with-saslauthd=${SASLSOCKETDIR:Q}
BUILD_DEFS+= SASLSOCKETDIR
# let not to build & install saslauthd here.
SUBST_CLASSES+= saslauthd
SUBST_STAGE.saslauthd= pre-configure
SUBST_FILES.saslauthd= Makefile.in
SUBST_SED.saslauthd= -e 's|@SASLAUTHD_TRUE@|\#|g'
SUBST_SED.saslauthd+= -e 's|@SASLAUTHD_FALSE@||g'
# Support using the Courier authdaemond (security/courier-authlib) for
# plaintext password authentication.
@ -50,6 +58,9 @@ CONFIGURE_ARGS+= --with-devrandom=${SASL_ENTROPY_SOURCE:Q}
.endif
BUILD_DEFS+= SASL_ENTROPY_SOURCE
# Let not to build sample codes.
CONFIGURE_ARGS+= --disable-sample
# CYRUS_USER username of the Cyrus administrator
# CYRUS_GROUP group of the Cyrus administrator
#
@ -69,7 +80,7 @@ MESSAGE_SUBST+= PLUGINDIR=${PLUGINDIR:Q}
post-install:
${INSTALL_DATA_DIR} ${DESTDIR}${DOCDIR}
cd ${WRKSRC}/doc; for file in *.fig *.html *.txt; do \
${INSTALL_DATA} $$file ${DESTDIR}${DOCDIR}; \
${INSTALL_DATA} $${file} ${DESTDIR}${DOCDIR}; \
done
.include "../../mk/bsd.pkg.mk"

View file

@ -1,30 +1,28 @@
# $NetBSD: Makefile.common,v 1.15 2010/02/19 20:16:40 heinz Exp $
# $NetBSD: Makefile.common,v 1.16 2011/09/17 11:32:02 obache Exp $
#
# This file is currently included by:
#
# security/cyrus-sasl/Makefile
# security/cy2-anonymous/Makefile
# security/cy2-crammd5/Makefile
# security/cy2-digestmd5/Makefile
# security/cy2-gssapi/Makefile
# security/cy2-ldapdb/Makefile
# security/cy2-login/Makefile
# security/cy2-ntlm/Makefile
# security/cy2-otp/Makefile
# security/cy2-plain/Makefile
# security/cy2-sql/Makefile
# used by security/cyrus-sasl/Makefile
# used by security/cy2-anonymous/Makefile
# used by security/cy2-crammd5/Makefile
# used by security/cy2-digestmd5/Makefile
# used by security/cy2-gssapi/Makefile
# used by security/cy2-ldapdb/Makefile
# used by security/cy2-login/Makefile
# used by security/cy2-ntlm/Makefile
# used by security/cy2-otp/Makefile
# used by security/cy2-plain/Makefile
# used by security/cy2-scram/Makefile
# used by security/cy2-sql/Makefile
# used by security/cyrus-saslauthd/Makefile
#
# This Makefile fragment should be included _below_ any SASL_PLUGIN
# definition and _above_ any CONFIGURE_ARGS definitions.
DISTNAME= cyrus-sasl-2.1.23
DISTNAME= cyrus-sasl-2.1.25
CATEGORIES= security
MASTER_SITES= ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/ \
ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/OLD-VERSIONS/sasl/ \
http://ftp.andrew.cmu.edu/pub/cyrus-mail/ \
http://ftp.andrew.cmu.edu/pub/cyrus-mail/OLD-VERSIONS/sasl/
MASTER_SITES= ftp://ftp.cyrusimap.org/cyrus-sasl/ \
ftp://ftp.cyrusimap.org/cyrus-sasl/OLD-VERSIONS/
MAINTAINER= pkgsrc-users@NetBSD.org
MAINTAINER= obache@NetBSD.org
HOMEPAGE= http://asg.web.cmu.edu/sasl/
LICENSE= original-bsd # CMU version
@ -35,7 +33,7 @@ PATCHDIR= ${.CURDIR}/../cyrus-sasl/patches
.if defined(SASL_PLUGIN) && !empty(SASL_PLUGIN:M[yY][eE][sS])
BUILDLINK_ABI_DEPENDS.cyrus-sasl+= \
cyrus-sasl>=${PKGVERSION:C/nb[0-9]*$//}
cyrus-sasl>=${PKGVERSION_NOREV}
. include "../../security/cyrus-sasl/buildlink3.mk"
CPPFLAGS+= -I${BUILDLINK_PREFIX.cyrus-sasl}/include/sasl
.endif
@ -44,7 +42,6 @@ GNU_CONFIGURE= yes
USE_TOOLS+= gmake
USE_LIBTOOL= yes
MAKE_ENV+= SHLIBTOOL=${SHLIBTOOL:Q}
DOCDIR= ${PREFIX}/share/doc/cyrus-sasl
PLUGINDIR= ${PREFIX}/lib/sasl2
@ -56,6 +53,7 @@ CONFIGURE_ARGS+= --disable-java
CONFIGURE_ARGS+= --disable-anon # ANONYMOUS
CONFIGURE_ARGS+= --disable-checkapop # CHECKAPOP
CONFIGURE_ARGS+= --disable-cram # CRAM-MD5
CONFIGURE_ARGS+= --disable-scram # SCRAM
CONFIGURE_ARGS+= --disable-digest # DIGEST-MD5
CONFIGURE_ARGS+= --disable-gssapi # GSSAPI
CONFIGURE_ARGS+= --disable-krb4 # KERBEROS_V4

View file

@ -1,17 +1,7 @@
$NetBSD: distinfo,v 1.18 2009/05/14 23:00:46 obache Exp $
$NetBSD: distinfo,v 1.19 2011/09/17 11:32:02 obache Exp $
SHA1 (cyrus-sasl-2.1.23.tar.gz) = 5df33a6788d6cd8329b109eff777c6cfae1a21bd
RMD160 (cyrus-sasl-2.1.23.tar.gz) = b2cd9734fa8b4bad82663517f019f9b92d9d3519
Size (cyrus-sasl-2.1.23.tar.gz) = 1613642 bytes
SHA1 (patch-aa) = a20fca0058a04d00debb78d8cc051ec8d8f57af2
SHA1 (patch-ab) = f5cf383ec9e417101bcf133b819f7c28aa1b4588
SHA1 (patch-ac) = 1b653bee1a1b98e8e197911cc193c2c9b6d9f736
SHA1 (patch-ad) = 462eb7c9ff1c7138897d3778b3a50f2c4dbca51b
SHA1 (patch-ae) = ac9403e8cdbebb8be04947c9ff8a7505002b3a36
SHA1 (patch-ag) = 6a2713504078dad681dcc6f7ba296972d03d5b15
SHA1 (patch-ah) = 595e58bd756e75bda5f25a19119f2fc7c27bc7d9
SHA1 (patch-ai) = b3154f4dbebe2ee803cfd6535072ca9bb28c9c18
SHA1 (patch-ak) = e76a0ac7559845ed374c63f0261df9817e383ac1
SHA1 (patch-al) = 27eae3d4cc4f5413176344bf496e70c6da24a840
SHA1 (patch-ap) = eb87cd283f99da69916a7eb251000f2d9254f17d
SHA1 (patch-aq) = 0e9acd362df09c3bc673b4729cc438e19cfd9f40
SHA1 (cyrus-sasl-2.1.25.tar.gz) = b6c34426012d9b5d448d5646cbecd818a5eeacbf
RMD160 (cyrus-sasl-2.1.25.tar.gz) = c9ed9093828f7f7bb1b35c8a690cadbcd44f3862
Size (cyrus-sasl-2.1.25.tar.gz) = 5209240 bytes
SHA1 (patch-saslauthd_md5global.h) = fc200c6aee12bf58877c7a755c121441ebaa1bde
SHA1 (patch-saslauthd_saslcache.c) = 725db77c5d56f58331255957a65d385267ddcaed

View file

@ -1,25 +0,0 @@
$NetBSD: patch-aa,v 1.9 2006/10/04 12:07:53 obache Exp $
--- configure.in.orig 2006-05-18 15:06:13.000000000 -0400
+++ configure.in
@@ -44,12 +44,7 @@ dnl
AC_INIT(lib/saslint.h)
AC_PREREQ([2.54])
-dnl use ./config.cache as the default cache file.
-dnl we require a cache file to successfully configure our build.
-if test $cache_file = "/dev/null"; then
-cache_file="./config.cache"
AC_CACHE_LOAD
-fi
AC_CONFIG_AUX_DIR(config)
AC_CANONICAL_HOST
@@ -528,7 +523,6 @@ SASL_KERBEROS_V4_CHK
SASL_GSSAPI_CHK
if test "$gssapi" != "no"; then
- AC_DEFINE(STATIC_GSSAPIV2,[],[Link GSSAPI Staticly])
mutex_default="no"
if test "$gss_impl" = "mit"; then
mutex_default="yes"

View file

@ -1,33 +0,0 @@
$NetBSD: patch-ab,v 1.7 2006/11/02 13:02:39 obache Exp $
--- aclocal.m4.orig 2006-05-18 15:30:08.000000000 -0400
+++ aclocal.m4
@@ -1691,12 +1691,12 @@ AC_DEFUN([CYRUS_BERKELEY_DB_CHK_LIB],
fi
saved_LIBS=$LIBS
- for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+ for dbname in ${BDB_TYPE} db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
do
LIBS="$saved_LIBS -l$dbname"
AC_TRY_LINK([#include <db.h>],
[db_create(NULL, NULL, 0);],
- BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db,
+ BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db; break,
dblib="no")
if test "$dblib" = "berkeley"; then break; fi
done
@@ -3016,8 +3016,11 @@ if test "$gssapi" != no; then
AC_MSG_RESULT([with implementation ${gss_impl}])
AC_CHECK_LIB(resolv,res_search,GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS -lresolv")
SASL_MECHS="$SASL_MECHS libgssapiv2.la"
- SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
- SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+ if test "$enable_static" = yes; then
+ SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
+ SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+ AC_DEFINE(STATIC_GSSAPIV2, [], [Link GSSAPI Staticly])
+ fi
cmu_save_LIBS="$LIBS"
LIBS="$LIBS $GSSAPIBASE_LIBS"

View file

@ -1,18 +0,0 @@
$NetBSD: patch-ac,v 1.5 2006/10/04 12:07:53 obache Exp $
--- cmulocal/sasl2.m4.orig 2006-05-18 15:25:34.000000000 -0400
+++ cmulocal/sasl2.m4
@@ -252,8 +252,11 @@ if test "$gssapi" != no; then
AC_MSG_RESULT([with implementation ${gss_impl}])
AC_CHECK_LIB(resolv,res_search,GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS -lresolv")
SASL_MECHS="$SASL_MECHS libgssapiv2.la"
- SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
- SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+ if test "$enable_static" = yes; then
+ SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
+ SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+ AC_DEFINE(STATIC_GSSAPIV2, [], [Link GSSAPI Staticly])
+ fi
cmu_save_LIBS="$LIBS"
LIBS="$LIBS $GSSAPIBASE_LIBS"

View file

@ -1,19 +0,0 @@
$NetBSD: patch-ad,v 1.5 2006/11/02 13:02:39 obache Exp $
--- cmulocal/berkdb.m4.orig 2005-04-26 15:14:07.000000000 -0400
+++ cmulocal/berkdb.m4
@@ -213,12 +213,12 @@ AC_DEFUN([CYRUS_BERKELEY_DB_CHK_LIB],
fi
saved_LIBS=$LIBS
- for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+ for dbname in ${BDB_TYPE} db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
do
LIBS="$saved_LIBS -l$dbname"
AC_TRY_LINK([#include <db.h>],
[db_create(NULL, NULL, 0);],
- BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db,
+ BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db; break,
dblib="no")
if test "$dblib" = "berkeley"; then break; fi
done

View file

@ -1,16 +0,0 @@
$NetBSD: patch-ae,v 1.4 2006/10/04 12:07:53 obache Exp $
--- sample/server.c.orig 2004-03-29 09:56:40.000000000 -0500
+++ sample/server.c
@@ -117,9 +117,9 @@ int *listensock(const char *port, const
}
#if defined(IPV6_V6ONLY) && !(defined(__FreeBSD__) && __FreeBSD__ < 3)
if (r->ai_family == AF_INET6) {
- if (setsockopt(*sock, IPPROTO_IPV6, IPV6_BINDV6ONLY,
+ if (setsockopt(*sock, IPPROTO_IPV6, IPV6_V6ONLY,
(void *) &on, sizeof(on)) < 0) {
- perror("setsockopt (IPV6_BINDV6ONLY)");
+ perror("setsockopt (IPV6_V6ONLY)");
close(*sock);
continue;
}

View file

@ -1,13 +0,0 @@
$NetBSD: patch-ag,v 1.5 2006/04/18 17:41:30 jlam Exp $
--- plugins/Makefile.in.orig 2005-05-15 01:58:39.000000000 -0400
+++ plugins/Makefile.in
@@ -126,7 +126,7 @@ JAVA_TRUE = @JAVA_TRUE@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
+LIBTOOL = $(SHLIBTOOL)
LIB_CRYPT = @LIB_CRYPT@
LIB_DES = @LIB_DES@
LIB_DOOR = @LIB_DOOR@

View file

@ -1,13 +0,0 @@
$NetBSD: patch-ah,v 1.6 2006/04/18 17:41:30 jlam Exp $
--- lib/Makefile.in.orig 2005-05-15 01:58:38.000000000 -0400
+++ lib/Makefile.in
@@ -122,7 +122,7 @@ JAVA_TRUE = @JAVA_TRUE@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
+LIBTOOL = $(SHLIBTOOL)
LIB_CRYPT = @LIB_CRYPT@
LIB_DES = @LIB_DES@
LIB_DOOR = @LIB_DOOR@

View file

@ -1,88 +0,0 @@
$NetBSD: patch-ai,v 1.8 2009/05/14 23:00:46 obache Exp $
--- configure.orig 2009-05-07 14:24:25.000000000 +0000
+++ configure
@@ -1334,8 +1334,6 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
-if test $cache_file = "/dev/null"; then
-cache_file="./config.cache"
if test -r "$cache_file"; then
# Some versions of bash will fail to source /dev/null (special
# files actually), so we avoid doing that.
@@ -1353,8 +1351,6 @@ echo "$as_me: creating cache $cache_file
>$cache_file
fi
-fi
-
ac_aux_dir=
for ac_dir in config $srcdir/config; do
if test -f $ac_dir/install-sh; then
@@ -5147,7 +5143,7 @@ if test $ac_cv_header_db_h = yes; then
fi
saved_LIBS=$LIBS
- for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+ for dbname in ${BDB_TYPE} db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
do
LIBS="$saved_LIBS -l$dbname"
cat >conftest.$ac_ext <<_ACEOF
@@ -5178,7 +5174,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db
+ BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db; break
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
@@ -5904,7 +5900,7 @@ if test $ac_cv_header_db_h = yes; then
fi
saved_LIBS=$LIBS
- for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+ for dbname in ${BDB_TYPE} db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
do
LIBS="$saved_LIBS -l$dbname"
cat >conftest.$ac_ext <<_ACEOF
@@ -5935,7 +5931,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db
+ BDB_LIBADD="$BDB_LIBADD -l$dbname"; dblib="berkeley"; dbname=db; break
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
@@ -11326,8 +11322,15 @@ if test $ac_cv_lib_resolv_res_search = y
fi
SASL_MECHS="$SASL_MECHS libgssapiv2.la"
- SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
- SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+ if test "$enable_static" = yes; then
+ SASL_STATIC_OBJS="$SASL_STATIC_OBJS gssapi.o"
+ SASL_STATIC_SRCS="$SASL_STATIC_SRCS ../plugins/gssapi.c"
+
+cat >>confdefs.h <<\_ACEOF
+#define STATIC_GSSAPIV2
+_ACEOF
+
+ fi
cmu_save_LIBS="$LIBS"
LIBS="$LIBS $GSSAPIBASE_LIBS"
@@ -11425,11 +11428,6 @@ fi
if test "$gssapi" != "no"; then
-
-cat >>confdefs.h <<\_ACEOF
-#define STATIC_GSSAPIV2
-_ACEOF
-
mutex_default="no"
if test "$gss_impl" = "mit"; then
mutex_default="yes"

View file

@ -1,13 +0,0 @@
$NetBSD: patch-ak,v 1.5 2006/10/04 12:07:53 obache Exp $
--- Makefile.am.orig 2006-05-19 10:29:48.000000000 -0400
+++ Makefile.am
@@ -69,7 +69,7 @@ else
INSTALLOSX =
endif
-SUBDIRS=include sasldb plugins lib utils doc man $(PWC) $(SAM) $(JAV) $(SAD)
+SUBDIRS=include sasldb plugins lib utils doc man $(PWC) $(SAM) $(JAV)
EXTRA_DIST=config cmulocal win32 mac dlcompat-20010505 NTMakefile INSTALL.TXT
dist-hook:

View file

@ -1,13 +0,0 @@
$NetBSD: patch-al,v 1.6 2009/05/14 23:00:46 obache Exp $
--- Makefile.in.orig 2009-05-07 14:24:44.000000000 +0000
+++ Makefile.in
@@ -243,7 +243,7 @@ AUTOMAKE_OPTIONS = 1.7
@MACOSX_FALSE@INSTALLOSX =
@MACOSX_TRUE@INSTALLOSX = install-exec-local-osx
-SUBDIRS = include sasldb plugins lib utils doc man $(PWC) $(SAM) $(JAV) $(SAD)
+SUBDIRS = include sasldb plugins lib utils doc man $(PWC) $(SAM) $(JAV)
EXTRA_DIST = config cmulocal win32 mac dlcompat-20010505 NTMakefile INSTALL.TXT
framedir = /Library/Frameworks/SASL2.framework

View file

@ -1,23 +0,0 @@
$NetBSD: patch-ap,v 1.4 2006/04/18 17:41:30 jlam Exp $
--- sasldb/Makefile.am.orig 2005-05-07 00:54:18.000000000 -0400
+++ sasldb/Makefile.am
@@ -51,18 +51,8 @@ extra_common_sources = db_none.c db_ndbm
EXTRA_DIST = NTMakefile
noinst_LTLIBRARIES = libsasldb.la
-noinst_LIBRARIES = libsasldb.a
libsasldb_la_SOURCES = allockey.c sasldb.h
EXTRA_libsasldb_la_SOURCES = $(extra_common_sources)
libsasldb_la_DEPENDENCIES = $(SASL_DB_BACKEND)
libsasldb_la_LIBADD = $(SASL_DB_BACKEND)
-
-# Prevent make dist stupidity
-libsasldb_a_SOURCES =
-EXTRA_libsasldb_a_SOURCES =
-
-libsasldb.a: libsasldb.la $(SASL_DB_BACKEND_STATIC)
- $(AR) cru .libs/$@ $(SASL_DB_BACKEND_STATIC)
-
-

View file

@ -1,54 +0,0 @@
$NetBSD: patch-aq,v 1.6 2009/05/14 23:00:46 obache Exp $
--- sasldb/Makefile.in.orig 2009-05-07 14:24:59.000000000 +0000
+++ sasldb/Makefile.in
@@ -241,16 +241,12 @@ extra_common_sources = db_none.c db_ndbm
EXTRA_DIST = NTMakefile
noinst_LTLIBRARIES = libsasldb.la
-noinst_LIBRARIES = libsasldb.a
libsasldb_la_SOURCES = allockey.c sasldb.h
EXTRA_libsasldb_la_SOURCES = $(extra_common_sources)
libsasldb_la_DEPENDENCIES = $(SASL_DB_BACKEND)
libsasldb_la_LIBADD = $(SASL_DB_BACKEND)
-# Prevent make dist stupidity
-libsasldb_a_SOURCES =
-EXTRA_libsasldb_a_SOURCES =
subdir = sasldb
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
@@ -258,10 +254,6 @@ CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
-libsasldb_a_AR = $(AR) cru
-libsasldb_a_LIBADD =
-am_libsasldb_a_OBJECTS =
-libsasldb_a_OBJECTS = $(am_libsasldb_a_OBJECTS)
LTLIBRARIES = $(noinst_LTLIBRARIES)
libsasldb_la_LDFLAGS =
@@ -281,10 +273,9 @@ LTCOMPILE = $(LIBTOOL) --mode=compile $(
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o $@
-DIST_SOURCES = $(libsasldb_a_SOURCES) $(EXTRA_libsasldb_a_SOURCES) \
- $(libsasldb_la_SOURCES) $(EXTRA_libsasldb_la_SOURCES)
+DIST_SOURCES = $(libsasldb_la_SOURCES) $(EXTRA_libsasldb_la_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
-SOURCES = $(libsasldb_a_SOURCES) $(EXTRA_libsasldb_a_SOURCES) $(libsasldb_la_SOURCES) $(EXTRA_libsasldb_la_SOURCES)
+SOURCES = $(libsasldb_la_SOURCES) $(EXTRA_libsasldb_la_SOURCES)
all: all-am
@@ -543,8 +534,6 @@ uninstall-am: uninstall-info-am
uninstall-am uninstall-info-am
-libsasldb.a: libsasldb.la $(SASL_DB_BACKEND_STATIC)
- $(AR) cru .libs/$@ $(SASL_DB_BACKEND_STATIC)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

View file

@ -1,7 +1,9 @@
$NetBSD: patch-ac,v 1.1.1.1 2004/01/09 19:44:11 jlam Exp $
$NetBSD: patch-saslauthd_md5global.h,v 1.1 2011/09/17 11:32:02 obache Exp $
--- md5global.h.orig Fri Mar 28 14:59:24 2003
+++ md5global.h
* use standard types for certain bits types.
--- saslauthd/md5global.h.orig 2003-03-28 19:59:24.000000000 +0000
+++ saslauthd/md5global.h
@@ -3,6 +3,13 @@
#ifndef MD5GLOBAL_H
#define MD5GLOBAL_H

View file

@ -1,7 +1,9 @@
$NetBSD: patch-ah,v 1.1 2006/08/11 12:51:32 taca Exp $
$NetBSD: patch-saslauthd_saslcache.c,v 1.1 2011/09/17 11:32:02 obache Exp $
--- saslcache.c.orig 2003-03-29 04:59:24.000000000 +0900
+++ saslcache.c
* fixes build with gcc-4.
--- saslauthd/saslcache.c.orig 2003-03-28 19:59:24.000000000 +0000
+++ saslauthd/saslcache.c
@@ -137,7 +137,7 @@ int main(int argc, char **argv) {
}

View file

@ -1,32 +1,19 @@
# $NetBSD: Makefile,v 1.40 2010/02/19 19:23:50 joerg Exp $
# $NetBSD: Makefile,v 1.41 2011/09/17 11:32:02 obache Exp $
DISTNAME= cyrus-sasl-2.1.23
PKGNAME= ${DISTNAME:S/sasl/saslauthd/}
PKGREVISION= 1
CATEGORIES= security
MASTER_SITES= ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/ \
ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/OLD-VERSIONS/sasl/
CONFLICTS+= cyrus-sasl<2.1.15nb2
PKG_INSTALLATION_TYPES= overwrite pkgviews
PKG_DESTDIR_SUPPORT= user-destdir
.include "../../mk/bsd.prefs.mk"
.include "../../security/cyrus-sasl/Makefile.common"
WRKSRC= ${WRKDIR}/${DISTNAME}/saslauthd
EXTRACT_ELEMENTS= ${DISTNAME}/saslauthd
EXTRACT_ELEMENTS+= ${DISTNAME}/include/md5.h
EXTRACT_ELEMENTS+= ${DISTNAME}/include/hmac-md5.h
MAINTAINER= pkgsrc-users@NetBSD.org
HOMEPAGE= http://asg.web.cmu.edu/sasl/
COMMENT= Cyrus SASL plaintext authentication daemon
GNU_CONFIGURE= yes
CONFIGURE_ARGS+= --sysconfdir=${PKG_SYSCONFDIR:Q}
BUILD_TARGET= all saslcache testsaslauthd
BUILD_TARGET= all saslcache
SASLSOCKETDIR?= ${VARBASE}/run/saslauthd
BUILD_DEFS+= SASLSOCKETDIR
@ -34,6 +21,8 @@ FILES_SUBST+= SASLSOCKETDIR=${SASLSOCKETDIR:Q}
CONFIGURE_ARGS+= --with-saslauthd=${SASLSOCKETDIR:Q}
CONFIGURE_ARGS+= --with-openssl=${SSLBASE:Q}
BUILD_DIRS= saslauthd
.include "options.mk"
RCD_SCRIPTS= saslauthd
@ -46,19 +35,17 @@ INSTALLATION_DIRS= bin
SUBST_CLASSES+= sysconf
SUBST_MESSAGE.sysconf= Fixing path to ${PKG_SYSCONFDIR}
SUBST_STAGE.sysconf= post-build
SUBST_FILES.sysconf= LDAP_SASLAUTHD saslauthd.mdoc
SUBST_FILES.sysconf= saslauthd/LDAP_SASLAUTHD saslauthd/saslauthd.mdoc
SUBST_SED.sysconf= -e "s,/usr/local/etc/,${PKG_SYSCONFDIR}/,g"
post-configure:
${LN} -sf saslauthd.h ${WRKSRC}/config.h
post-install:
for f in saslcache testsaslauthd; do \
${INSTALL_PROGRAM} ${WRKSRC}/$$f ${DESTDIR}${PREFIX}/bin/$$f; \
for f in saslcache ; do \
${INSTALL_PROGRAM} ${WRKSRC}/saslauthd/$$f \
${DESTDIR}${PREFIX}/bin/$$f; \
done
.if !empty(PKG_OPTIONS:Mldap)
${INSTALL_DATA_DIR} ${DESTDIR}${PREFIX}/share/doc/cyrus-saslauthd
${INSTALL_DATA} ${WRKSRC}/LDAP_SASLAUTHD \
${INSTALL_DATA} ${WRKSRC}/saslauthd/LDAP_SASLAUTHD \
${DESTDIR}${PREFIX}/share/doc/cyrus-saslauthd
.endif

View file

@ -1,6 +1,5 @@
@comment $NetBSD: PLIST,v 1.11 2009/09/24 18:46:26 tnn Exp $
@comment $NetBSD: PLIST,v 1.12 2011/09/17 11:32:02 obache Exp $
bin/saslcache
bin/testsaslauthd
man/man8/saslauthd.8
sbin/saslauthd
sbin/testsaslauthd

View file

@ -1,12 +0,0 @@
$NetBSD: distinfo,v 1.10 2009/05/14 23:00:46 obache Exp $
SHA1 (cyrus-sasl-2.1.23.tar.gz) = 5df33a6788d6cd8329b109eff777c6cfae1a21bd
RMD160 (cyrus-sasl-2.1.23.tar.gz) = b2cd9734fa8b4bad82663517f019f9b92d9d3519
Size (cyrus-sasl-2.1.23.tar.gz) = 1613642 bytes
SHA1 (patch-aa) = f90f8f3a08108b32dfc21a2f959f8907619a245f
SHA1 (patch-ab) = 78f0b080c7b10b671e34869ebe33c8ee137b21c5
SHA1 (patch-ac) = 79267ad3e175632728e43fb2ba159ab411e7ff3c
SHA1 (patch-ae) = 2651dc035edebfb9ddc5bfc5bbb01b8e6b3dc588
SHA1 (patch-af) = 972342d5b6efd645af9257933abd7302b25c0d1c
SHA1 (patch-ag) = 6560d09edcbe8762d235bcf09ce24a49a6de8e26
SHA1 (patch-ah) = d4dc5858ef1b36d10fae729469262450ff2e3fef

View file

@ -1,4 +1,4 @@
# $NetBSD: options.mk,v 1.11 2008/04/12 22:43:09 jlam Exp $
# $NetBSD: options.mk,v 1.12 2011/09/17 11:32:02 obache Exp $
PKG_OPTIONS_VAR= PKG_OPTIONS.cyrus-saslauthd
PKG_SUPPORTED_OPTIONS= pam kerberos ldap gssapi
@ -47,4 +47,6 @@ CONFIGURE_ARGS+= --enable-gssapi=${KRB5BASE:Q}
CONFIGURE_ARGS+= --with-gss_impl=${GSSIMPL.${KRB5_TYPE}}
GSSIMPL.heimdal= heimdal
GSSIMPL.mit-krb5= mit
.else
CONFIGURE_ARGS+= --disable-gssapi
.endif

View file

@ -1,19 +0,0 @@
$NetBSD: patch-aa,v 1.5 2006/10/04 12:07:53 obache Exp $
--- Makefile.am.orig 2006-05-18 01:46:17.000000000 +0900
+++ Makefile.am
@@ -29,11 +29,8 @@ INCLUDES = -I$(top_srcdir)/include -I$(t
DEFS = @DEFS@ -DSASLAUTHD_CONF_FILE_DEFAULT=\"@sysconfdir@/saslauthd.conf\" -I. -I$(srcdir) -I..
-dist-hook: saslauthd.8
+dist-hook: saslauthd.mdoc
-saslauthd.8: saslauthd.mdoc
- nroff -mdoc $(srcdir)/saslauthd.mdoc > $(srcdir)/saslauthd.8
-
-install-data-local: saslauthd.8
+install-data-local: saslauthd.mdoc
$(mkinstalldirs) $(DESTDIR)$(mandir)/man8
- $(INSTALL_DATA) $(srcdir)/saslauthd.8 $(DESTDIR)$(mandir)/man8/saslauthd.8
+ $(INSTALL_DATA) $(srcdir)/saslauthd.mdoc $(DESTDIR)$(mandir)/man8/saslauthd.8

View file

@ -1,22 +0,0 @@
$NetBSD: patch-ab,v 1.7 2009/05/14 23:00:46 obache Exp $
--- Makefile.in.orig 2009-05-07 14:25:39.000000000 +0000
+++ Makefile.in
@@ -615,14 +615,11 @@ uninstall-am: uninstall-info-am uninstal
uninstall-sbinPROGRAMS
-dist-hook: saslauthd.8
+dist-hook: saslauthd.mdoc
-saslauthd.8: saslauthd.mdoc
- nroff -mdoc $(srcdir)/saslauthd.mdoc > $(srcdir)/saslauthd.8
-
-install-data-local: saslauthd.8
+install-data-local: saslauthd.mdoc
$(mkinstalldirs) $(DESTDIR)$(mandir)/man8
- $(INSTALL_DATA) $(srcdir)/saslauthd.8 $(DESTDIR)$(mandir)/man8/saslauthd.8
+ $(INSTALL_DATA) $(srcdir)/saslauthd.mdoc $(DESTDIR)$(mandir)/man8/saslauthd.8
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

View file

@ -1,49 +0,0 @@
$NetBSD: patch-ae,v 1.2 2006/10/04 12:07:53 obache Exp $
--- configure.in.orig 2006-05-18 01:46:17.000000000 +0900
+++ configure.in
@@ -87,20 +87,36 @@ if test "$httpform" != no; then
AC_DEFINE(HAVE_HTTPFORM,[],[Include HTTP form Support])
fi
-AC_ARG_WITH(pam, [ --with-pam=DIR use PAM (rooted in DIR) [yes] ],
- with_pam=$withval,
- with_pam=yes)
+AC_ARG_WITH(pam, [ --with-pam=DIR use PAM (rooted in DIR) [[yes]] ],
+ with_pam=$withval,
+ with_pam=yes)
if test "$with_pam" != no; then
if test -d $with_pam; then
CPPFLAGS="$CPPFLAGS -I${with_pam}/include"
LDFLAGS="$LDFLAGS -L${with_pam}/lib"
fi
+ AC_CHECK_HEADERS(security/pam_appl.h pam/pam_appl.h)
cmu_save_LIBS="$LIBS"
- AC_CHECK_LIB(pam, pam_start, [
- AC_CHECK_HEADER(security/pam_appl.h,,
- with_pam=no)],
- with_pam=no, $SASL_DL_LIB)
- LIBS="$cmu_save_LIBS"
+ AC_CHECK_FUNC(pam_start, :,
+ LIBS="-lpam $LIBS"
+ AC_TRY_LINK([[
+#include <sys/types.h>
+#ifdef HAVE_PAM_PAM_APPL_H
+#include <pam/pam_appl.h>
+#endif
+#ifdef HAVE_SECURITY_PAM_H
+#include <security/pam_appl.h>
+#endif]],[[
+const char *service="foo";
+const char *user="bar";
+pam_handle_t *pamh;
+struct pam_conv *conv;
+int baz;
+baz = pam_start(service, user, conv, &pamh);
+return 0;
+]], LIBPAM="-lpam")
+)
+ LIBS="$cmu_save_LIBS $LIBPAM"
fi
AC_ARG_WITH(ipctype, [ --with-ipctype={unix,doors} use ipctype [unix] ],

View file

@ -1,323 +0,0 @@
$NetBSD: patch-af,v 1.3 2009/05/14 23:00:46 obache Exp $
--- configure.orig 2009-05-07 14:25:24.000000000 +0000
+++ configure
@@ -9480,75 +9480,23 @@ if test "$with_pam" != no; then
CPPFLAGS="$CPPFLAGS -I${with_pam}/include"
LDFLAGS="$LDFLAGS -L${with_pam}/lib"
fi
- cmu_save_LIBS="$LIBS"
- echo "$as_me:$LINENO: checking for pam_start in -lpam" >&5
-echo $ECHO_N "checking for pam_start in -lpam... $ECHO_C" >&6
-if test "${ac_cv_lib_pam_pam_start+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpam $SASL_DL_LIB $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char pam_start ();
-int
-main ()
-{
-pam_start ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_pam_pam_start=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-ac_cv_lib_pam_pam_start=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_pam_pam_start" >&5
-echo "${ECHO_T}$ac_cv_lib_pam_pam_start" >&6
-if test $ac_cv_lib_pam_pam_start = yes; then
-
- if test "${ac_cv_header_security_pam_appl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for security/pam_appl.h" >&5
-echo $ECHO_N "checking for security/pam_appl.h... $ECHO_C" >&6
-if test "${ac_cv_header_security_pam_appl_h+set}" = set; then
+for ac_header in security/pam_appl.h pam/pam_appl.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_security_pam_appl_h" >&5
-echo "${ECHO_T}$ac_cv_header_security_pam_appl_h" >&6
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else
# Is the header compilable?
-echo "$as_me:$LINENO: checking security/pam_appl.h usability" >&5
-echo $ECHO_N "checking security/pam_appl.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -9557,7 +9505,7 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
-#include <security/pam_appl.h>
+#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -9583,8 +9531,8 @@ echo "$as_me:$LINENO: result: $ac_header
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
-echo "$as_me:$LINENO: checking security/pam_appl.h presence" >&5
-echo $ECHO_N "checking security/pam_appl.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -9592,7 +9540,7 @@ _ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <security/pam_appl.h>
+#include <$ac_header>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -9625,10 +9573,10 @@ echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc in
yes:no )
- { echo "$as_me:$LINENO: WARNING: security/pam_appl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: security/pam_appl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: security/pam_appl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: security/pam_appl.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
@@ -9639,12 +9587,12 @@ _ASBOX
sed "s/^/$as_me: WARNING: /" >&2
;;
no:yes )
- { echo "$as_me:$LINENO: WARNING: security/pam_appl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: security/pam_appl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: security/pam_appl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: security/pam_appl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: security/pam_appl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: security/pam_appl.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
(
cat <<\_ASBOX
## ------------------------------------ ##
@@ -9655,29 +9603,157 @@ _ASBOX
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
-echo "$as_me:$LINENO: checking for security/pam_appl.h" >&5
-echo $ECHO_N "checking for security/pam_appl.h... $ECHO_C" >&6
-if test "${ac_cv_header_security_pam_appl_h+set}" = set; then
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_cv_header_security_pam_appl_h=$ac_header_preproc
+ eval "$as_ac_Header=$ac_header_preproc"
fi
-echo "$as_me:$LINENO: result: $ac_cv_header_security_pam_appl_h" >&5
-echo "${ECHO_T}$ac_cv_header_security_pam_appl_h" >&6
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
fi
-if test $ac_cv_header_security_pam_appl_h = yes; then
- :
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+ cmu_save_LIBS="$LIBS"
+ echo "$as_me:$LINENO: checking for pam_start" >&5
+echo $ECHO_N "checking for pam_start... $ECHO_C" >&6
+if test "${ac_cv_func_pam_start+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char pam_start (); below.
+ Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+ <limits.h> exists even on freestanding compilers. */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char pam_start ();
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_pam_start) || defined (__stub___pam_start)
+choke me
+#else
+char (*f) () = pam_start;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != pam_start;
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_func_pam_start=yes
else
- with_pam=no
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_func_pam_start=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
+echo "$as_me:$LINENO: result: $ac_cv_func_pam_start" >&5
+echo "${ECHO_T}$ac_cv_func_pam_start" >&6
+if test $ac_cv_func_pam_start = yes; then
+ :
+else
+ LIBS="-lpam $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+#include <sys/types.h>
+#ifdef HAVE_PAM_PAM_APPL_H
+#include <pam/pam_appl.h>
+#endif
+#ifdef HAVE_SECURITY_PAM_H
+#include <security/pam_appl.h>
+#endif
+int
+main ()
+{
+const char *service="foo";
+const char *user="bar";
+pam_handle_t *pamh;
+struct pam_conv *conv;
+int baz;
+baz = pam_start(service, user, conv, &pamh);
+return 0;
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ LIBPAM="-lpam"
else
- with_pam=no
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
fi
- LIBS="$cmu_save_LIBS"
+ LIBS="$cmu_save_LIBS $LIBPAM"
fi

View file

@ -1,23 +0,0 @@
$NetBSD: patch-ag,v 1.2 2006/10/04 12:07:53 obache Exp $
--- saslauthd.h.in.orig 2006-05-19 04:38:27.000000000 +0900
+++ saslauthd.h.in
@@ -95,12 +95,18 @@
/* Support for PAM? */
#undef HAVE_PAM
+/* Define to 1 if you have the <pam/pam_appl.h> header file. */
+#undef HAVE_PAM_PAM_APPL_H
+
/* Does compiler understand __PRETTY_FUNCTION__ */
#undef HAVE_PRETTY_FUNCTION
/* Include support for saslauthd? */
#undef HAVE_SASLAUTHD
+/* Define to 1 if you have the <security/pam_appl.h> header file. */
+#undef HAVE_SECURITY_PAM_APPL_H
+
/* Include SIA Support */
#undef HAVE_SIA